PIP3-DEBUG(1)

NAME
pip3-debug - description of pip3 debug command

DESCRIPTION

Display debug information.

USAGE

            python -m pip debug <options>

WARNING:
        This command is only meant for debugging. Its options and outputs are provisional and may change without notice.

OPTIONS

    --platform <platform>
        Only use wheels compatible with <platform>. Defaults to the platform of the running system. Use this option multiple times to specify multiple platforms supported by the target interpreter.

        (environment variable: PIP_PLATFORM)

    --python-version <python_version>
        The Python interpreter version to use for wheel and "Requires-Python" compatibility checks. Defaults to a version derived from the running interpreter. The version can be specified using up to three dot-separated integers (e.g. "3" for 3.0.0, "3.7" for 3.7.0, or "3.7.3"). A major-minor version can also be given as a string without dots (e.g. "37" for 3.7.0).

        (environment variable: PIP_PYTHON_VERSION)

    --implementation <implementation>
        Only use wheels compatible with Python implementation <implementation>, e.g. 'pp', 'jy', 'cp', or 'ip'. If not specified, then the current interpreter implementation is used. Use 'py' to force implementation-agnostic wheels.

        (environment variable: PIP_IMPLEMENTATION)

    --abi <abi>
        Only use wheels compatible with Python abi <abi>, e.g. 'pypy_41'. If not specified, then the current interpreter abi tag is used. Use this option multiple times to specify multiple abis supported by the target interpreter. Generally you will need to specify --implementation, --platform, and --python-version when using this option.

        (environment variable: PIP_ABI)

AUTHOR
pip developers

COPYRIGHT
The pip developers